Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.domain
Interface LogEvent

All Known Implementing Classes:
  LogEventImpl

    public interface LogEvent

Version:
  $Id: LogEvent.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static byte` | `STATE_READ`
`static byte` | `STATE_UNREAD`
`static byte` | `TYPE_ERROR`
`static byte` | `TYPE_INFO`
`static byte` | `TYPE_WARNING`

Method Summary
`java.lang.String` | `getComponent()`
`byte[]` | `getData()`
`long` | `getId()`
`java.lang.String` | `getMessageCode()`
`java.util.Date` | `getOccurrenceDate()`
`java.lang.String` | `getResourceURI()`
`byte` | `getState()`
`java.lang.String` | `getText()`
`byte` | `getType()`
`java.lang.String` | `getUsername()`
`void` | `setComponent(java.lang.String component)`
`void` | `setData(byte[] data)`
`void` | `setId(long id)`
`void` | `setMessageCode(java.lang.String messageCode)`
`void` | `setOccurrenceDate(java.util.Date occurrenceDate)`
`void` | `setResourceURI(java.lang.String resourceURI)`
`void` | `setState(byte state)`
`void` | `setText(java.lang.String text)`
`void` | `setType(byte type)`
`void` | `setUsername(java.lang.String username)`

Field Detail

### TYPE_ERROR

    static final byte TYPE_ERROR

See Also:
  Constant Field Values

### TYPE_WARNING

    static final byte TYPE_WARNING

See Also:
  Constant Field Values

### TYPE_INFO

    static final byte TYPE_INFO

See Also:
  Constant Field Values

### STATE_UNREAD

    static final byte STATE_UNREAD

See Also:
  Constant Field Values

### STATE_READ

    static final byte STATE_READ

See Also:
  Constant Field Values

Method Detail

### getComponent

    java.lang.String getComponent()

### setComponent

    void setComponent(java.lang.String component)

### getData

    byte[] getData()

### setData

    void setData(byte[] data)

### getId

    long getId()

### setId

    void setId(long id)

### getMessageCode

    java.lang.String getMessageCode()

### setMessageCode

    void setMessageCode(java.lang.String messageCode)

### getOccurrenceDate

    java.util.Date getOccurrenceDate()

### setOccurrenceDate

    void setOccurrenceDate(java.util.Date occurrenceDate)

### getResourceURI

    java.lang.String getResourceURI()

### setResourceURI

    void setResourceURI(java.lang.String resourceURI)

### getText

    java.lang.String getText()

### setText

    void setText(java.lang.String text)

### getType

    byte getType()

### setType

    void setType(byte type)

### getUsername

    java.lang.String getUsername()

### setUsername

    void setUsername(java.lang.String username)

### getState

    byte getState()

### setState

    void setState(byte state)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.